// LesPlanetes.h: interface for the LesPlanetes class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_LESPLANETES_H_)
#define _LESPLANETES_H_

#include "Planete.h"
#include "astroLib/AstroOps.h"
#include "astroLib/PlanetData.h"
#include "astroLib/DateOps.h"
#include "vector.h"

class LesPlanetes  
{
public:
	LesPlanetes();
	virtual ~LesPlanetes();
	void Calculer(double date, ObsInfo lieu);	// Compute the position of the planets
	void Afficher();							// Draw the planets...	
	int LesPlanetes::Rechercher(vec3_t Pos);
	// Return data about the selected star
	void InfoSelect(vec3_t & XYZ_t, float & Ra,float & De, char * & Nom, double & Distance, float & size) 
	{	vec3_t PosPlanete;
		RADE_to_XYZ(Selectionnee->RaRad,Selectionnee->DecRad, PosPlanete);
		XYZ_t=PosPlanete;
		Ra=(*Selectionnee).RaRad;
		De=(*Selectionnee).DecRad;
		Nom=(*Selectionnee).Name;
		Distance=(*Selectionnee).Distance_to_obs;
		size=asin((*Selectionnee).Rayon*2/(*Selectionnee).Distance_to_obs)*180/PI;
	}
private:
	Planete * Selectionnee;				// Selected planet
};

#endif // !defined(_LESPLANETES_H_)
