#ifndef __UTILITAIRESH__
#define __UTILITAIRESH__

// Utilitaires
#define PI 3.14159265358979323846264338327950288419716939937510f
#include <GL/glut.h>
#include <math.h>
#include "vector.h"
#include "astroLib/AstroOps.h"
#include "astroLib/MathOps.h"

float RA_en_Rad(int RAh, int RAm, float RAs);
float RA_en_Rad(int RAh, float RAm);
float DE_en_Rad(bool DEsign,int Dec, int Arcmin, int Arcsec);
float DE_en_Rad(int Dec, float Arcmin);
void RA_en_hms(int & RAh, int & RAm, float & RAs, float RA);

void RADE_to_XYZ(float RA, float DE, vec3_t &XYZ);
void XYZ_to_RADE(float &RA, float &DE, vec3_t XYZ);

void Equ_to_altAz(vec3_t &leVect, float raZen, float deZen);
void AltAz_to_equ(vec3_t &leVect, float raZen, float deZen);

void Projette(float objx_i,float objy_i,float objz_i,double & x ,double & y);

void setOrthographicProjection(int w, int h);
void resetPerspectiveProjection();
void renderBitmapString(float x, float y, void *font,char *string);

#endif
